summaryrefslogtreecommitdiffstats
path: root/OvmfPkg
diff options
context:
space:
mode:
authorKonrad Rzeszutek Wilk <konrad@kernel.org>2016-11-23 20:15:23 -0500
committerLaszlo Ersek <lersek@redhat.com>2016-11-24 09:47:41 +0100
commit2667ad40919afa6e4cd1b5f572584fbd440689b4 (patch)
treeb89e4764b06233c7e322d39d0f0e30bc448463a5 /OvmfPkg
parent0e3f9ee1d61fdc37a4aef18c53dfcc2cedeb86e3 (diff)
downloadedk2-2667ad40919afa6e4cd1b5f572584fbd440689b4.tar.gz
edk2-2667ad40919afa6e4cd1b5f572584fbd440689b4.tar.bz2
edk2-2667ad40919afa6e4cd1b5f572584fbd440689b4.zip
OvmfPkg/build.sh: Make GCC5 the default toolchain, catch GCC43 and earlier
v2: * Changes suggested by Laszlo: - change the catch-all (*) to GCC5, from GCC44 - remove the (5.*.*) pattern from GCC49 - generate error for GCC < 4.4 In v3, also generate error for really GCC < 4.4, like GCC 1. Reviewed-by: Laszlo Ersek <lersek@redhat.com> Reviewed-by: Jordan Justen <jordan.l.justen@intel.com> Bugzilla: https://bugzilla.tianocore.org/show_bug.cgi?id=62 Contributed-under: TianoCore Contribution Agreement 1.0 Signed-off-by: Konrad Rzeszutek Wilk <konrad@kernel.org> Tested-by: Laszlo Ersek <lersek@redhat.com>
Diffstat (limited to 'OvmfPkg')
-rwxr-xr-xOvmfPkg/build.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
index eb5eb7345c..95fe8fb076 100755
--- a/OvmfPkg/build.sh
+++ b/OvmfPkg/build.sh
@@ -83,6 +83,13 @@ case `uname` in
Linux*)
gcc_version=$(gcc -v 2>&1 | tail -1 | awk '{print $3}')
case $gcc_version in
+ [1-3].*|4.[0-3].*)
+ echo OvmfPkg requires GCC4.4 or later
+ exit 1
+ ;;
+ 4.4.*)
+ TARGET_TOOLS=GCC44
+ ;;
4.5.*)
TARGET_TOOLS=GCC45
;;
@@ -95,11 +102,11 @@ case `uname` in
4.8.*)
TARGET_TOOLS=GCC48
;;
- 4.9.*|4.1[0-9].*|5.*.*)
+ 4.9.*)
TARGET_TOOLS=GCC49
;;
*)
- TARGET_TOOLS=GCC44
+ TARGET_TOOLS=GCC5
;;
esac
esac